"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CliLogger = void 0;
const inquirer_1 = __importDefault(require("inquirer"));
var LogLevel;
(function (LogLevel) {
    LogLevel[LogLevel["TRACE"] = 0] = "TRACE";
    LogLevel[LogLevel["DEBUG"] = 1] = "DEBUG";
    LogLevel[LogLevel["WARN"] = 2] = "WARN";
    LogLevel[LogLevel["INFO"] = 3] = "INFO";
    LogLevel[LogLevel["ERROR"] = 4] = "ERROR";
})(LogLevel || (LogLevel = {}));
class CliLogger {
    constructor(minLogLevel = LogLevel.INFO) {
        this.bottomBar = new inquirer_1.default.ui.BottomBar();
        this.minLogLevel = minLogLevel;
    }
    trace(message, optionalParams) {
        if (this.minLogLevel > LogLevel.TRACE)
            return;
        const optionalJson = optionalParams ? JSON.stringify(optionalParams) : '';
        this.bottomBar.log.write(`TRACE: ${message} ${optionalJson}`);
    }
    debug(message, optionalParams) {
        if (this.minLogLevel > LogLevel.DEBUG)
            return;
        const optionalJson = optionalParams ? JSON.stringify(optionalParams) : '';
        this.bottomBar.log.write(`DEBUG: ${message} ${optionalJson}`);
    }
    warn(message, optionalParams) {
        if (this.minLogLevel > LogLevel.WARN)
            return;
        const optionalJson = optionalParams ? JSON.stringify(optionalParams) : '';
        this.bottomBar.log.write(`WARN: ${message} ${optionalJson}`);
    }
    info(message, optionalParams) {
        if (this.minLogLevel > LogLevel.INFO)
            return;
        const optionalJson = optionalParams ? JSON.stringify(optionalParams) : '';
        this.bottomBar.log.write(`${message} ${optionalJson}`);
    }
    error(message, optionalParams) {
        if (this.minLogLevel > LogLevel.ERROR)
            return;
        const optionalJson = optionalParams ? JSON.stringify(optionalParams) : '';
        this.bottomBar.log.write(`ERROR: ${message} ${optionalJson}`);
    }
}
exports.CliLogger = CliLogger;
//# sourceMappingURL=CliLogger.js.map