import Docker from 'dockerode';
import { Logger } from 'ts-log';
import { DockerStore } from './DockerStore';
import { StatefulServiceMap } from './DockerComposeStack';
import { StatefulService } from './services';
export declare class DockerClient {
    readonly docker: Docker;
    readonly logger: Logger;
    private store;
    readonly utilityImage: string;
    constructor(store: DockerStore, options: {
        logger: Logger;
        utilityImage?: string;
    });
    ensureUtilityImageAvailable(): Promise<void>;
    makeSnapshot(services: StatefulServiceMap): Promise<void>;
    restoreSnapshot(snapshot: string, services: StatefulService[]): Promise<void>;
    createVolume(name: string): Promise<void>;
    removeVolume(name: string): Promise<void>;
    cleanup(): Promise<void>;
    private getImage;
    private hasImage;
    canRestore(snapshot: string): Promise<void>;
    private pullPromise;
}
//# sourceMappingURL=DockerClient.d.ts.map