import { DockerClient, StatefulService } from './';
import { Logger } from 'ts-log';
import { DockerStore } from './DockerStore';
export declare type StatefulServiceMap = Map<string, StatefulService>;
export declare class DockerComposeStack {
    readonly docker: DockerClient;
    readonly logger: Logger;
    readonly projectName: string;
    private store;
    statefulServices: StatefulServiceMap;
    constructor(store: DockerStore, dockerClient: DockerClient, options: {
        logger: Logger;
        projectName?: string;
        statefulServices?: StatefulServiceMap;
    });
    init(workingDirectory: string): Promise<void>;
    private up;
    private down;
    private stop;
    makeSnapshot(): Promise<void>;
    restoreSnapshot(snapshotName?: string): Promise<void>;
    rebuildService(services: StatefulService[], backup?: boolean): Promise<void>;
    private currentState;
    private createServiceVolumes;
    private removeServiceVolumes;
}
//# sourceMappingURL=DockerComposeStack.d.ts.map