import { Logger } from 'ts-log';
export declare type DockerState = {
    compose?: {
        createdAt: number;
    };
    managedImages?: string[];
    secrets: {
        createdAt: number;
    };
    workingDirectory: string;
};
export declare class DockerStore {
    private logger;
    private conf;
    constructor(logger: Logger);
    createSecrets(password: string, user: string): Promise<void>;
    cleanup(): Promise<void>;
    get(prop: string): any;
    set(prop: string, value: any): any;
    private get secretsDir();
    get dockerComposeFilePath(): string;
    private get configDir();
    private get localConfigDir();
    get snapshotsDir(): string;
    initSnapshot(): Promise<string>;
    snapshotsList(): Promise<string[]>;
    validateSnapshot(snapshot: string): Promise<void>;
}
//# sourceMappingURL=DockerStore.d.ts.map