"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.servicesFromNameArg = exports.selectServicesFromStack = void 0;
function selectServicesFromStack(stack, multi = true) {
    const label = multi === true ? 'services' : 'service';
    return {
        name: label,
        message: `Select ${label}`,
        type: multi === true ? 'checkbox' : 'list',
        choices: [...stack.statefulServices.values()].map(service => {
            return {
                name: service.name,
                value: service
            };
        }),
        validate(input) {
            if (input.length === 0) {
                throw new Error('At least one service must be selected');
            }
            return true;
        }
    };
}
exports.selectServicesFromStack = selectServicesFromStack;
function servicesFromNameArg(stack, names) {
    return names.split(',').map((name) => {
        if (!stack.statefulServices.has(name)) {
            throw new Error(`Unknown service ${name}`);
        }
        return stack.statefulServices.get(name);
    });
}
exports.servicesFromNameArg = servicesFromNameArg;
//# sourceMappingURL=util.js.map