#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const figlet_1 = __importDefault(require("figlet"));
const commander_1 = require("commander");
const Docker_1 = require("./Docker");
const CliLogger_1 = require("./CliLogger");
const System_1 = require("./System");
const clear = require('clear');
const packageJson = require('../package.json');
clear();
console.log(chalk_1.default.blue(figlet_1.default.textSync('cgql', {
    horizontalLayout: 'full',
    font: 'Stop'
})));
const logger = new CliLogger_1.CliLogger();
const program = new commander_1.Command('cgql');
program
    .addCommand(Docker_1.dockerCommand(logger))
    .addCommand(System_1.systemInfoCommand(packageJson.version));
program.version(packageJson.version);
if (!process.argv.slice(2).length) {
    program.outputHelp();
    process.exit(1);
}
else {
    program.parseAsync(process.argv).catch(error => {
        console.error(error);
        process.exit(0);
    });
}
//# sourceMappingURL=index.js.map